Bug 26526 - Use of checkout notes not clear in OPAC
Summary: Use of checkout notes not clear in OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-09-23 19:51 UTC by Katrin Fischer
Modified: 2020-11-17 20:45 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
Bug 26526: Relabel checkout note column in OPAC (2.09 KB, patch)
2020-10-17 15:13 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26526: Relabel checkout note column in OPAC (2.15 KB, patch)
2020-10-18 18:41 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26526: Relabel checkout note column in OPAC (2.21 KB, patch)
2020-10-21 15:29 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-09-23 19:51:55 UTC
With  AllowCheckoutNotes enabled there is a column labelled 'Note' in the checkouts table in the OPAC.

Once you enter a note and submit it tells you that your note has been sent to the library. 

I believe that this will come as a surprise to quite a lof of people as the column doesn't indicate in any way that it's not a personal notes field but supposed to be used to communicate issues to the library.

We should rephrase the table heading and maybe add a hint about what this is supposed to be used for.
Comment 1 George Williams (NEKLS) 2020-10-01 14:31:16 UTC
I agree that the "Note" column isn't very descriptive to patrons.  I use jQuery to relabel the column as "Report a problem with this item."
Comment 2 Katrin Fischer 2020-10-01 18:03:07 UTC
Thx for the suggestion George! Do you think we could agree on this change?
Comment 3 Séverine Queune 2020-10-02 09:56:30 UTC
This suggestion seems clear enough to me, thank you George !
Comment 4 George Williams (NEKLS) 2020-10-02 13:39:59 UTC
I agree and I know that at least a couple of other libraries are using jQuery to make the same or a similar change.
Comment 5 Katrin Fischer 2020-10-17 15:13:26 UTC
Created attachment 111944 [details] [review]
Bug 26526: Relabel checkout note column in OPAC

When checkout notes are active, there is currently a new
column labelled 'Note' in the checkouts table in OPAC.
When a note is added, this is sent to the library. For
the user it's not clear from the label, that these notes
are not personal, but for reporting to the library.
The new label "Report a problem" aims to make this clearer.

To test:
- Turn on AllowCheckoutNotes system preference
- Check out some items to your account
- Go to the OPAC
- Look at the list of checkouts
- Apply patch
- Reload the page and check the checkouts table again
- Verify the heading has changed from "Notes" to "Report a problem"
- Hover over the heading with your cursor to see some more info

Bonus: Patch adds an id "checkout-notes" to the header cell, that
will make it easier for libraries to change text or style if needed.
Comment 6 ByWater Sandboxes 2020-10-18 18:41:36 UTC
Created attachment 111950 [details] [review]
Bug 26526: Relabel checkout note column in OPAC

When checkout notes are active, there is currently a new
column labelled 'Note' in the checkouts table in OPAC.
When a note is added, this is sent to the library. For
the user it's not clear from the label, that these notes
are not personal, but for reporting to the library.
The new label "Report a problem" aims to make this clearer.

To test:
- Turn on AllowCheckoutNotes system preference
- Check out some items to your account
- Go to the OPAC
- Look at the list of checkouts
- Apply patch
- Reload the page and check the checkouts table again
- Verify the heading has changed from "Notes" to "Report a problem"
- Hover over the heading with your cursor to see some more info

Bonus: Patch adds an id "checkout-notes" to the header cell, that
will make it easier for libraries to change text or style if needed.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 7 Barbara Johnson 2020-10-18 18:43:21 UTC
Worked great!
Comment 8 Martin Renvoize 2020-10-21 15:29:47 UTC
Created attachment 112108 [details] [review]
Bug 26526: Relabel checkout note column in OPAC

When checkout notes are active, there is currently a new
column labelled 'Note' in the checkouts table in OPAC.
When a note is added, this is sent to the library. For
the user it's not clear from the label, that these notes
are not personal, but for reporting to the library.
The new label "Report a problem" aims to make this clearer.

To test:
- Turn on AllowCheckoutNotes system preference
- Check out some items to your account
- Go to the OPAC
- Look at the list of checkouts
- Apply patch
- Reload the page and check the checkouts table again
- Verify the heading has changed from "Notes" to "Report a problem"
- Hover over the heading with your cursor to see some more info

Bonus: Patch adds an id "checkout-notes" to the header cell, that
will make it easier for libraries to change text or style if needed.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2020-10-21 15:30:42 UTC
This is a genuine improvement that clarifies the feature.. nice work.

Passing QA

Side Note; I wonder if at some point we should merge the results of these problem reports into the general problem reports UI recently introduced by Aliesha.
Comment 10 Jonathan Druart 2020-10-25 23:06:55 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-11-13 21:29:25 UTC
backported to 20.05.x for 20.05.06
Comment 12 Aleisha Amohia 2020-11-17 04:58:20 UTC
enhancement, not backported to 19.11.x